TemporaryVariableExpression (groovy 2.4.5 API)
Date: 2015-09-17

Package: org.codehaus.groovy.transform.sc

## [Java] Class TemporaryVariableExpression

- org.codehaus.groovy.transform.sc.TemporaryVariableExpression

- A front-end class for ExpressionAsVariableSlot which allows defining temporary variables loaded from variable slots directly at the AST level, without any knowledge of AsmClassGenerator.

  Authors:
    Cédric Champeau
  Since:
    2.4.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TemporaryVariableExpression (Expression expression)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ClassNode` | `getType()`
    `void` | `remove(WriterController controller)`
    `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public TemporaryVariableExpression(Expression expression)

  - ### Method Detail

    - #### @Override public ClassNode getType()

    - #### public void remove(WriterController controller)

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)